Skip to content
Uptizm
Start free
Sign in

Language

Menu
View as Markdown

API reference

On-call

On-call schedules, rotations and overrides.

GET /on-call/current oncall:read #

Get who is on call

Resolves who is on call right now.

Parameters

NameInTypeRequiredDescription
schedule_idquerystringNo

Response 200 application/json

  • data array of string required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X GET "https://api.uptizm.com/v1/on-call/current" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/current', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/current');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.get(
    "https://api.uptizm.com/v1/on-call/current",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.json())
GET /on-call/schedules oncall:read #

List on-call schedules

The team's schedules, newest first, page-numbered.

Response 200 application/json

  • data array of OnCallScheduleResource and object required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string required
    • overrides array of string required
    • created_at string or null required
    • updated_at string or null required
  • links object required
    • first string or null required
    • last string or null required
    • prev string or null required
    • next string or null required
  • meta object required
    • current_page integer, min 1 required
    • from integer or null, min 1 required
    • last_page integer, min 1 required
    • links array of object required

      Generated paginator links.

      • url string or null required
      • label string required
      • active boolean required
    • path string or null required

      Base path for paginator generated URLs.

    • per_page integer, min 0 required

      Number of items shown per page.

    • to integer or null, min 1 required

      Number of the last item in the slice.

    • total integer, min 0 required

      Total number of items being paginated.

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X GET "https://api.uptizm.com/v1/on-call/schedules" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/schedules', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.get(
    "https://api.uptizm.com/v1/on-call/schedules",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.json())
POST /on-call/schedules oncall:write #

Create an on-call schedule

Creates a schedule.

Parameters

NameInTypeRequiredDescription
Idempotency-KeyheaderstringNoAny unique string per logical request.

Request body application/json

  • name string, max length 200 required
  • timezone string or null, max length 64

Response 201 application/json

  • data OnCallScheduleResource required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string
    • overrides array of string
    • created_at string or null required
    • updated_at string or null required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 422 Validation error
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X POST "https://api.uptizm.com/v1/on-call/schedules" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "name": "string"
}'
const payload = {
    "name": "string"
};

const response = await fetch('https://api.uptizm.com/v1/on-call/schedules', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
    'Content-Type': 'application/json',
    'Idempotency-Key': crypto.randomUUID(),
  },
  body: JSON.stringify(payload),
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules');

$payload = <<<'JSON'
{
    "name": "string"
}
JSON;

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
        'Idempotency-Key: '.uniqid('', true),
    ],
    CURLOPT_POSTFIELDS => $payload,
]);

$response = curl_exec($curl);
import os
import uuid

import requests

response = requests.post(
    "https://api.uptizm.com/v1/on-call/schedules",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
        "Content-Type": "application/json",
        "Idempotency-Key": str(uuid.uuid4()),
    },
    data=r'''{
    "name": "string"
}''',
)

print(response.json())
GET /on-call/schedules/{schedule} oncall:read #

Get an on-call schedule

One schedule with its rotation and overrides.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID

Response 200 application/json

  • data OnCallScheduleResource and object required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string required
    • overrides array of string required
    • created_at string or null required
    • updated_at string or null required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X GET "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.get(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.json())
PUT /on-call/schedules/{schedule} oncall:write #

Update an on-call schedule

Updates the schedule.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID

Request body application/json

  • name string, max length 200
  • timezone string or null, max length 64

Response 200 application/json

  • data OnCallScheduleResource required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string
    • overrides array of string
    • created_at string or null required
    • updated_at string or null required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 422 Validation error
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X PUT "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{}'
const payload = {};

const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE', {
  method: 'PUT',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(payload),
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE');

$payload = <<<'JSON'
{}
JSON;

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $payload,
]);

$response = curl_exec($curl);
import os

import requests

response = requests.put(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
        "Content-Type": "application/json",
    },
    data=r'''{}''',
)

print(response.json())
DELETE /on-call/schedules/{schedule} oncall:write #

Delete an on-call schedule

Deletes the schedule.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID

Response 204

No body.

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X DELETE "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE', {
  method: 'DELETE',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

console.log(response.status);
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.delete(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.status_code)
POST /on-call/schedules/{schedule}/rotations oncall:write #

Add a rotation slot

Adds a responder slot to the schedule's rotation.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID
Idempotency-KeyheaderstringNoAny unique string per logical request.

Request body application/json

  • user_id string, uuid required
  • position integer, min 0 required
  • shift_hours integer or null, min 1, max 8760

Response 201 application/json

  • data OnCallScheduleResource and object required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string required
    • overrides array of string required
    • created_at string or null required
    • updated_at string or null required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 422 Validation error
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X POST "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "position": 0
}'
const payload = {
    "user_id": "00000000-0000-4000-8000-000000000000",
    "position": 0
};

const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
    'Content-Type': 'application/json',
    'Idempotency-Key': crypto.randomUUID(),
  },
  body: JSON.stringify(payload),
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations');

$payload = <<<'JSON'
{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "position": 0
}
JSON;

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
        'Idempotency-Key: '.uniqid('', true),
    ],
    CURLOPT_POSTFIELDS => $payload,
]);

$response = curl_exec($curl);
import os
import uuid

import requests

response = requests.post(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
        "Content-Type": "application/json",
        "Idempotency-Key": str(uuid.uuid4()),
    },
    data=r'''{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "position": 0
}''',
)

print(response.json())
PATCH /on-call/schedules/{schedule}/rotations/reorder oncall:write #

Reorder the rotation

Sets position for the schedule's rotation slots.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID

Request body application/json

  • order array of object required
    • id string required
    • position integer, min 0 required

Response 204

No body.

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 422 Validation error
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X PATCH "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/reorder" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "order": [
        {
            "id": "string",
            "position": 0
        }
    ]
}'
const payload = {
    "order": [
        {
            "id": "string",
            "position": 0
        }
    ]
};

const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/reorder', {
  method: 'PATCH',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(payload),
});

console.log(response.status);
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/reorder');

$payload = <<<'JSON'
{
    "order": [
        {
            "id": "string",
            "position": 0
        }
    ]
}
JSON;

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $payload,
]);

$response = curl_exec($curl);
import os

import requests

response = requests.patch(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/reorder",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
        "Content-Type": "application/json",
    },
    data=r'''{
    "order": [
        {
            "id": "string",
            "position": 0
        }
    ]
}''',
)

print(response.status_code)
DELETE /on-call/schedules/{schedule}/rotations/{rotation} oncall:write #

Remove a rotation slot

Removes a responder slot from the rotation.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID
rotationpathstringYesThe rotation ID

Response 204

No body.

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X DELETE "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/ROTATION" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/ROTATION', {
  method: 'DELETE',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

console.log(response.status);
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/ROTATION');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.delete(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/rotations/ROTATION",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.status_code)
POST /on-call/schedules/{schedule}/overrides oncall:write #

Add an override

Adds a temporary responder override to the schedule.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID
Idempotency-KeyheaderstringNoAny unique string per logical request.

Request body application/json

  • user_id string, uuid required
  • starts_at string, date-time required
  • ends_at string, date-time required

Response 201 application/json

  • data OnCallScheduleResource and object required
    • id string required
    • team_id string required
    • name string required
    • timezone string required
    • rotations array of string required
    • overrides array of string required
    • created_at string or null required
    • updated_at string or null required

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 422 Validation error
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X POST "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "starts_at": "2026-01-01T00:00:00Z",
    "ends_at": "2026-01-01T00:00:00Z"
}'
const payload = {
    "user_id": "00000000-0000-4000-8000-000000000000",
    "starts_at": "2026-01-01T00:00:00Z",
    "ends_at": "2026-01-01T00:00:00Z"
};

const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
    'Content-Type': 'application/json',
    'Idempotency-Key': crypto.randomUUID(),
  },
  body: JSON.stringify(payload),
});

const data = await response.json();
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides');

$payload = <<<'JSON'
{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "starts_at": "2026-01-01T00:00:00Z",
    "ends_at": "2026-01-01T00:00:00Z"
}
JSON;

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
        'Idempotency-Key: '.uniqid('', true),
    ],
    CURLOPT_POSTFIELDS => $payload,
]);

$response = curl_exec($curl);
import os
import uuid

import requests

response = requests.post(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
        "Content-Type": "application/json",
        "Idempotency-Key": str(uuid.uuid4()),
    },
    data=r'''{
    "user_id": "00000000-0000-4000-8000-000000000000",
    "starts_at": "2026-01-01T00:00:00Z",
    "ends_at": "2026-01-01T00:00:00Z"
}''',
)

print(response.json())
DELETE /on-call/schedules/{schedule}/overrides/{override} oncall:write #

Remove an override

Removes a temporary override.

Parameters

NameInTypeRequiredDescription
schedulepathstringYesThe schedule ID
overridepathstringYesThe override ID

Response 204

No body.

Errors

  • 401 Unauthenticated
  • 403 The key lacks the ability this endpoint requires (required_ability names it), or the action is not allowed for the team.
  • 404 Not found
  • 429 Rate limited. Each key may make 120 reads (GET) and 30 writes per minute; wait for Retry-After seconds.

Code samples

curl -X DELETE "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides/OVERRIDE" \
  -H "Authorization: Bearer $UPTIZM_API_KEY" \
  -H "Accept: application/json"
const response = await fetch('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides/OVERRIDE', {
  method: 'DELETE',
  headers: {
    'Authorization': `Bearer ${process.env.UPTIZM_API_KEY}`,
    'Accept': 'application/json',
  },
});

console.log(response.status);
<?php

$curl = curl_init('https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides/OVERRIDE');

curl_setopt_array($curl, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('UPTIZM_API_KEY'),
        'Accept: application/json',
    ],
]);

$response = curl_exec($curl);
import os

import requests

response = requests.delete(
    "https://api.uptizm.com/v1/on-call/schedules/SCHEDULE/overrides/OVERRIDE",
    headers={
        "Authorization": "Bearer " + os.environ["UPTIZM_API_KEY"],
        "Accept": "application/json",
    },
)

print(response.status_code)

Type to search the guides, resources and endpoints.